ATMDIAG(8)

NAME
atmdiag - show ATM device driver diagnostics

SYNOPSIS
atmdiag [-z] [interface...]

DESCRIPTION
atmdiag shows statistic counters maintained by ATM device drivers. If one or more interface numbers are specified, the statistics of only these interfaces are shown. Otherwise, statistics of all interfaces are displayed.

The following counters are shown for each AAL:

    TX_okay
        number of successfully sent PDUs.

    TX_err
        number of PDUs not sent because of errors.

    RX_okay
        number of successfully received PDUs.

    RX_err
        number of PDUs discarded because of errors.

    RX_drop
        number of PDUs dropped because of lack of memory.

OPTIONS

-z  zero all counters after showing them.

AUTHOR
Werner Almesberger, EPFL ICA <Werner.Almesberger@epfl.ch>

SEE ALSO
atmdump(8), sonetdiag(8)